/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.nginx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.nginx.entity.NginxLog;
import com.yifu.cloud.plus.v1.nginx.vo.NginxLogSearchVo;
import com.yifu.cloud.plus.v1.yifu.common.core.util.ErrorMessage;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;

import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;

/**
 * 
 *
 * @author fxj
 * @date 2024-02-27 16:17:54
 */
public interface NginxLogService extends IService<NginxLog> {
    /**
     * 简单分页查询
     * @param nginxLog 
     * @return
     */
    IPage<NginxLog> getNginxLogPage(Page<NginxLog> page, NginxLogSearchVo nginxLog);

    R<List<ErrorMessage>> importDiy(InputStream inputStream);

    void listExport(HttpServletResponse response, NginxLogSearchVo searchVo);

    List<NginxLog> noPageDiy(NginxLogSearchVo searchVo);

	void readAndWriteLogAsys();

	void readAndWriteLog();
}
